|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QConstString

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QConstString class reference

### Public Functions

- QConstString ( const QChar * unicode, int size )
- const QString & string () const

- 35 public functions inherited from QString

## Member Function Documentation

### QConstString::QConstString ( const QChar * unicode, int size )

Use QString(unicode, size) or QString::fromRawData(unicode, size) instead.

### const QString & QConstString::string () const

Returns `*this`. Not necessary in Qt 4.